#include "widget.h"
#include "ui_widget.h"
#include <QMdiSubWindow>
#include <QTableView>
#include <QMdiArea>

Widget::Widget(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::Widget)
{
    ui->setupUi(this);
    ui->mdiArea->setViewMode(QMdiArea::TabbedView);
    ui->mdiArea->setTabPosition(QTabWidget::South);

    QTableView* mdiWin1=new QTableView();
    mdiWin1->setWindowTitle("子窗口1");
    ui->mdiArea->addSubWindow(mdiWin1);
    mdiWin1->setFixedSize(500,200);

    QTableView* mdiWin2=new QTableView;
    mdiWin2->setWindowTitle("子窗口2");
    ui->mdiArea->addSubWindow(mdiWin2);
    mdiWin2->setFixedSize(500,200);

    QTableView* mdiWin3=new QTableView();
    mdiWin3->setWindowTitle("子窗口3");
    ui->mdiArea->addSubWindow(mdiWin3);
    mdiWin3->setFixedSize(500,200);

    QList<QMdiSubWindow *> sublist = ui->mdiArea->subWindowList();

    ui->mdiArea->setActiveSubWindow(sublist.at(0));
}

Widget::~Widget()
{
    delete ui;
}

